Skip to content
ShopentlyLearn

List search rules

View search rules. For external integration operations.

GET/api/v1/search/rules

cURL request

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request GET \
  --url 'https://shop.onshopently.com/api/v1/search/rules?limit=20' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'

Response

{
  "data": [
    {
      "created_at": "2026-01-01T12:00:00Z",
      "enabled": true,
      "id": "example",
      "is_available": true,
      "market_scope": "all",
      "name": "Example",
      "updated_at": "2026-01-01T12:00:00Z",
      "version": 1
    }
  ],
  "meta": {
    "locale": "en",
    "market_code": "PL",
    "market_id": "example",
    "pagination": {
      "has_more": false,
      "limit": 20,
      "next_cursor": null
    },
    "request_id": "example"
  }
}

Required permissions

Authentication
Access token
Available from
STANDARD
Key permission
View search rulessearch.rule:read